# coding: utf-8

# Copyright 2015 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'zeus/api_client/version'

Gem::Specification.new do |spec|
  spec.name          = 'zeusclient'
  spec.version       = Zeus::APIClient::VERSION
  spec.authors       = ['Cisco Zeus']
  spec.email         = ['info@ciscozeus.io']

  if spec.respond_to?(:metadata)
    # spec.metadata['allowed_push_host'] = 'http://mygemserver.com'
  end

  spec.summary       = 'Ruby Client for Cisco Zeus'
  spec.description   = 'Client for Cisco Zeus. This allows users to send'\
                        'and receive data to and from Cisco Zeus.'
  spec.homepage      = 'https://github.com/CiscoZeus/ruby-zeusclient'
  spec.license       = 'Apache 2.0'

  spec.files         =
    `git ls-files -z`.split("\x0").reject { |f|
      f.match(%r{^(test|spec|features|icons)/})
    }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'rest-client', '~> 1.8.0'
  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_development_dependency 'yard', '~> 0.8.0'
  spec.add_development_dependency 'rubocop', '~> 0.45.0'
end
